DPDK patches and discussions
 help / color / mirror / Atom feed
From: Thomas Monjalon <thomas@monjalon.net>
To: dev@dpdk.org
Subject: [dpdk-dev] [PATCH v2 1/2] devtools: restore null test
Date: Wed, 17 Jul 2019 17:52:01 +0200	[thread overview]
Message-ID: <20190717155202.1674-1-thomas@monjalon.net> (raw)
In-Reply-To: <20190717112031.10968-1-thomas@monjalon.net>

This small testpmd test was not working for a long time
because of several changes in EAL and mempool.
The 3 main issues solved are:
	- Make --no-huge working by specifying an amount of memory
		to allocate in legacy mode, and disabling mlockall.
	- Load a mempool handler in shared library case.
	- Support meson

Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
---
 devtools/test-null.sh | 19 ++++++++++++++-----
 1 file changed, 14 insertions(+), 5 deletions(-)

diff --git a/devtools/test-null.sh b/devtools/test-null.sh
index 61879e3e6..6928a6c15 100755
--- a/devtools/test-null.sh
+++ b/devtools/test-null.sh
@@ -1,17 +1,26 @@
 #! /bin/sh -e
 # SPDX-License-Identifier: BSD-3-Clause
 # Copyright 2015 6WIND S.A.
+# Copyright 2019 Mellanox Technologies, Ltd
 
 # Run a quick testpmd forwarding with null PMD without hugepage
 
 build=${1:-build}
 coremask=${2:-3} # default using cores 0 and 1
 
-if grep -q SHARED_LIB=y $build/.config; then
-	pmd='-d librte_pmd_null.so'
+testpmd=$build/app/dpdk-testpmd
+[ -f "$testpmd" ] || testpmd=$build/app/testpmd
+if [ ! -f "$testpmd" ] ; then
+	echo 'ERROR: testpmd cannot be found' >&2
+	exit 1
+fi
+
+unset libs
+if ldd $testpmd | grep -q librte_ ; then
+	libs='-d librte_mempool_ring.so -d librte_pmd_null.so'
 fi
 
 (sleep 1 && echo stop) |
-$build/app/testpmd -c $coremask -n 1 --no-huge \
-	$pmd --vdev net_null1 --vdev net_null2 -- \
-	--total-num-mbufs=2048 -ia
+$testpmd -c $coremask --no-huge -m 150 \
+	$libs --vdev net_null1 --vdev net_null2 -- \
+	--no-mlockall --total-num-mbufs=2048 -ia
-- 
2.21.0


  reply	other threads:[~2019-07-17 15:53 UTC|newest]

Thread overview: 12+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-07-17 11:20 [dpdk-dev] [PATCH] devtools: fix " Thomas Monjalon
2019-07-17 15:52 ` Thomas Monjalon [this message]
2019-07-17 15:52   ` [dpdk-dev] [PATCH v2 2/2] devtools: allow misc options in " Thomas Monjalon
2019-07-29 10:36     ` David Marchand
2019-07-29 12:19       ` Thomas Monjalon
2019-07-29 12:55         ` David Marchand
2019-07-29 10:35   ` [dpdk-dev] [PATCH v2 1/2] devtools: restore " David Marchand
2019-07-29 12:15     ` Thomas Monjalon
2019-07-29 12:53       ` David Marchand
2019-07-30 17:34 ` [dpdk-dev] [PATCH v3 " Thomas Monjalon
2019-07-30 17:34   ` [dpdk-dev] [PATCH v3 2/2] devtools: allow misc options in " Thomas Monjalon
2019-08-05 15:23     ` Thomas Monjalon

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20190717155202.1674-1-thomas@monjalon.net \
    --to=thomas@monjalon.net \
    --cc=dev@dpdk.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).